Changes since version 1.78 (2003-02-19)

Changes to dsssl/*

  | 2004-11-05  Michael Smith <xmldoc@users.sourceforge.net>
  | 
  | 	* Makefile: plain-text release notes, added target to make
  | 
  | 2004-11-04  Michael Smith <xmldoc@users.sourceforge.net>
  | 
  | 	* .cvsignore: ignore RELEASE-NOTES.html
  | 
  | 	* .cvsignore: ignore RELEASE-NOTES.txt
  | 
  | 	* FRESHMEAT: New file.
  | 
  | 	* Makefile: RELEASE-NOTES.html and freshmeat targets added
  | 
  | 	* RELEASE-NOTES.xml: New file.
  | 
  | 	* VERSION: Version 1.79 released.
  | 
  | 2004-10-23  <petere78@users.sourceforge.net>
  | 
  | 	* Makefile: The debian directory no longer corresponds to the
  | 	  actual Debian package, so it would only be confusing to keep
  | 	  it around.
  | 
  | 	* TODO: TODO items are nowadays listed at SourceForge; this
  | 	  file doesn't serve a purpose anymore.
  | 
  | 2004-09-14  <petere78@users.sourceforge.net>
  | 
  | 	* README.CVS: Add note that xmlcharent also needs to be
  | 	  checked out when working from CVS.
  | 
  | 2003-03-21  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* Makefile: clean target cleans backup files and CVS junk
  | 
  | 	* VERSION: Keep CVS and real releases distinct
  | 
  | 2003-02-20  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* Makefile: don't distrib empty debian dir and *.orig
  | 

Changes to dsssl/bin/*

  | 2004-10-24  <petere78@users.sourceforge.net>
  | 
  | 	* collateindex.pl: Only mention the program's base name in the
  | 	  error messages.
  | 
  | 2004-10-23  <petere78@users.sourceforge.net>
  | 
  | 	* Makefile: Don't put a "v" before the version number here.
  | 
  | 	* collateindex.pl: Put the options list in some kind of order,
  | 	  and make the error messages have a consistent format.
  | 
  | 2003-03-21  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* Makefile: clean target cleans backup files and CVS junk
  | 
  | 2003-03-16  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* Makefile: fix the POD release variable
  | 

Changes to dsssl/doc/*

  | 2003-03-21  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* Makefile: clean target cleans backup files and CVS junk
  | 
  | 2003-03-17  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* Makefile: Make required stuff in ../docsrc as needed
  | 
  | 2003-03-16  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* Makefile: removing *.htm in addition to the *.html
  | 

Changes to dsssl/common/*

  | 2004-10-10  <petere78@users.sourceforge.net>
  | 
  | 	* dbcommon.dsl: Give othercredit some useful rendering in
  | 	  print output, by copying over the author rendering. Fix
  | 	  author-list-string for authorgroups that contain both
  | 	  authors and othercredits. (bug #1038081)
  | 
  | 2004-10-09  <petere78@users.sourceforge.net>
  | 
  | 	* .cvsignore, Makefile, dbl10n.dsl, dbl10n.ent,
  | 	  dbl10n.template, dbl1bg.dsl: New Bulgarian translation by
  | 	  Viktor Vasilev (SF patch #1040075)
  | 
  | 	* dbl1bs.dsl: Additional fixes for Bosnian translation, by
  | 	  Kemal Skripic (SF patch #1037371)
  | 
  | 2004-09-22  Michael Smith <xmldoc@users.sourceforge.net>
  | 
  | 	* .cvsignore: dbl1bs.ent added to ignore list; also re-sorted
  | 	  list
  | 
  | 2004-09-17  <petere78@users.sourceforge.net>
  | 
  | 	* Makefile, dbl10n.dsl, dbl10n.ent, dbl10n.template,
  | 	  dbl1bs.dsl: Bosnian translation by Kemal Skripic
  | 
  | 2003-04-28  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dbcommon.dsl: Fix a problem pointed out by Tim Waugh in
  | 	  articleinfo vs artheader in the article-title procedure.
  | 	  Also ensure articleinfo is used in some other contexts.
  | 

Changes to dsssl/docsrc/*

  | 2004-10-23  Michael Smith <xmldoc@users.sourceforge.net>
  | 
  | 	* collateindex.sgm, dblib.sgm, docbook.sgm, htparam.sgm,
  | 	  imagelib.sgm, indexing.sgm, olinksemantics.sgm,
  | 	  otherdoc.sgm, prparam.sgm: Bug #1052834 (PIs in dsssl/doc
  | 	  sources causing jade errors) apparently jade has a problem
  | 	  dealing with single quotation marks in PIs -- at least it
  | 	  appears like that in the case where it needs to take a
  | 	  single-quoted value from within a PI and use it to write a
  | 	  filename; so changed al single-quote filenames in PIs to
  | 	  doubly quoted ones; seems to have made jade happy
  | 
  | 2004-09-18  <petere78@users.sourceforge.net>
  | 
  | 	* custom.sgm: Fix for Documentation Request #510281: Add
  | 	  missing -d option in example
  | 
  | 	* custom.sgm: Fix for Documentation Request #992388: Removed
  | 	  obsolete section about setting the stylesheet language via a
  | 	  customization layer (now done using a stylesheet parameter).
  | 
  | 2003-03-17  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* doc.dsl: Minor readability fixes.
  | 

Changes to dsssl/html/*

  | 2004-10-10  <petere78@users.sourceforge.net>
  | 
  | 	* dbhtml.dsl, dbparam.dsl, dbttlpg.dsl: Support for specifying
  | 	  a system ID for the HTML output documents, required for
  | 	  better parsing in contemporary browsers. A default system ID
  | 	  is set if %html40% is true.
  | 
  | 2004-10-09  <petere78@users.sourceforge.net>
  | 
  | 	* docbook.dsl: New Bulgarian translation by Viktor Vasilev (SF
  | 	  patch #1040075)
  | 
  | 2004-09-23  <petere78@users.sourceforge.net>
  | 
  | 	* dbprocdr.dsl: Add CSS decoration of procedure steps (RFE
  | 	  #1033197)
  | 
  | 2004-09-17  <petere78@users.sourceforge.net>
  | 
  | 	* docbook.dsl: Bosnian translation by Kemal Skripic
  | 
  | 2004-09-14  <petere78@users.sourceforge.net>
  | 
  | 	* dbinline.dsl: Fix for bug #860398: Change uses of $var-seq$
  | 	  to something more appropriate.
  | 
  | 2004-07-11  <nyraghu@users.sourceforge.net>
  | 
  | 	* version.dsl: Closes Bug 912831: the last character of
  | 	  VERSION was being cut off.
  | 
  | 2003-05-28  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dbblock.dsl: HTML attribs for comments variablized for
  | 	  maintenance.
  | 
  | 2003-04-29  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dbcompon.dsl: Finding the subtitle for a component should
  | 	  use the parent title if set; this is consistent with how the
  | 	  title is already set; closes SF bug 613773.
  | 
  | 2003-04-28  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dbpi.dsl: Ensure dbhtml-findvalue can handle the
  | 	  pi-field-list being a non-pair, which may occur in some
  | 	  poorly formed dbhtml PIs; returns #f in this case.
  | 
  | 2003-04-27  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dbcompon.dsl: Simplify some code, no functional changes
  | 
  | 2003-04-26  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dbcallou.dsl, dbparam.dsl: callout graphics and admonition
  | 	  graphics, if needed, share a single variable,
  | 	  %stock-graphics-extension% -- "stock" here referring to
  | 	  standard, stock images, e.g., not per document images; this
  | 	  closes Debian Bug#187429
  | 
  | 2003-04-12  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dbadmon.dsl: VALIGN should be MIDDLE, not CENTER; closes
  | 	  Debian Bug#187569
  | 
  | 2003-04-05  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dblists.dsl: back out my last change; there are 4 places
  | 	  taht use this and until I understand how
  | 	  varlistentry-term-too-long? is supposed to work at all I
  | 	  better not mess with it
  | 
  | 	* dblists.dsl: termlength in varlist is measurement-to-length,
  | 	  not string->number
  | 
  | 2003-03-25  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* db31.dsl, dbblock.dsl, dbcompon.dsl, dbgraph.dsl,
  | 	  dbqanda.dsl, dbsect.dsl, docbook.dsl: move data from db31
  | 	  into its proper component files
  | 
  | 2003-03-21  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* Makefile: Don't hardcode DSSSL file list, use $(wildcard
  | 	  *.dsl); clean is cleaner
  | 

Changes to dsssl/lib/*

  | 2004-10-24  <petere78@users.sourceforge.net>
  | 
  | 	* dblib.dsl: Revision 1.6 completely broke PI processing, so
  | 	  back that out for now.
  | 
  | 2003-04-29  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dblib.dsl: Fix my-debug so it actually returns what you ask
  | 	  it to.
  | 
  | 2003-04-28  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dblib.dsl: Make PI parsing more robust by rewriting
  | 	  parse-pi-attribute and a fix in parse-starttag-pi. I'm still
  | 	  not entirely happy with the PI parsing, its probably a
  | 	  little flakey, but it shouldn't completely bail out when it
  | 	  hits data its not expecting. Closes Debian Bug#186886.
  | 
  | 2003-04-26  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dblib.dsl: Fix a typo in the param docs
  | 
  | 2003-04-05  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dblib.dsl: xsl stylesheet refers to pica as "pc" rather than
  | 	  "pi", so we allow either one as a pica
  | 

Changes to dsssl/print/*

  | 2004-10-10  <petere78@users.sourceforge.net>
  | 
  | 	* dbadmon.dsl: Fix for bug #522140: Keep admonition titles and
  | 	  contents together when graphics are used.
  | 
  | 	* dbcallou.dsl: Synchronized $callout-verbatim-display$ with
  | 	  $verbatim-display$; fixes bug #517520 (callout ignores width
  | 	  of programlisting)
  | 
  | 	* dbttlpg.dsl: Give othercredit some useful rendering in print
  | 	  output, by copying over the author rendering. Fix
  | 	  author-list-string for authorgroups that contain both
  | 	  authors and othercredits. (bug #1038081)
  | 
  | 2004-10-09  <petere78@users.sourceforge.net>
  | 
  | 	* dbprint.dsl, dbverb.dsl: Patch #571688: Fixes excessive
  | 	  after spacing when a listitem contains multiple paras or
  | 	  verbatim environments. Patches originally by Tim Waugh and
  | 	  Tammy Fox.
  | 
  | 	* docbook.dsl: New Bulgarian translation by Viktor Vasilev (SF
  | 	  patch #1040075)
  | 
  | 2004-09-17  <petere78@users.sourceforge.net>
  | 
  | 	* docbook.dsl: Bosnian translation by Kemal Skripic
  | 
  | 2004-09-14  <petere78@users.sourceforge.net>
  | 
  | 	* dbblock.dsl: Fix for bug #502066: Empty ulinks don't
  | 	  generate footnotes, so they should be omitted from the
  | 	  footnote counting. Patch by Bruce A. Mah.
  | 
  | 	* dbprint.dsl: Fix for bug #529969: Make italic monospace and
  | 	  strong monospace inherit verbatim-size-factor. Patch by
  | 	  David Aumueller.
  | 
  | 2004-07-11  <nyraghu@users.sourceforge.net>
  | 
  | 	* version.dsl: Closes Bug 912831: the last character of
  | 	  VERSION was being cut off.
  | 
  | 2003-12-05  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dbdivis.dsl: fix a bug when multiple elements in
  | 	  $generate-book-lot-list$ had content; whitespace and comment
  | 	  updates
  | 
  | 2003-04-29  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dbcompon.dsl: Finding the subtitle for a component should
  | 	  use the parent title if set; this is consistent with how the
  | 	  title is already set; closes SF bug 613773.
  | 
  | 	* dbcompon.dsl: Suppress some cases where components were
  | 	  restarting page numbering, fix from Ian Castle; closes SF
  | 	  bug 439751.
  | 
  | 	* dbparam.dsl: Correct reference to undefined variable
  | 	  "admon-graphic-default-extension".
  | 
  | 	* dbttlpg.dsl: Add elements to print version of
  | 	  article-titlepage-recto-elements so that it matches the HTML
  | 	  version, fixes SF bug 626909.
  | 
  | 2003-04-26  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* dbparam.dsl: rename parameter
  | 	  admon-graphic-default-extension to
  | 	  %admon-graphics-extension% for consistency
  | 
  | 	* dbparam.dsl: Note that %admon-graphics-path% requires the
  | 	  trailing directory separator --
  | 
  | 	* dbparam.dsl: %admon-graphics-extension% will use the old
  | 	  name, admon-graphic-default-extension, if set
  | 
  | 2003-03-25  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* db31.dsl, dbblock.dsl, dbcompon.dsl, dbgraph.dsl,
  | 	  dbinline.dsl, dbqanda.dsl, dbsect.dsl, docbook.dsl: move
  | 	  data from db31 into its proper component files
  | 
  | 2003-03-24  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* dbttlpg.dsl: Added support for revdescription inside revison
  | 	  on titlepages
  | 
  | 2003-03-21  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* Makefile: Don't hardcode DSSSL file list, use $(wildcard
  | 	  *.dsl); clean is cleaner
  | 

Changes to dsssl/doc/testdata/*

  | 2003-03-16  Adam Di Carlo <adicarlo@users.sourceforge.net>
  | 
  | 	* c01.htm, jtest.rtf, test.rtf: Generated files should not be
  | 	  in CVS
  | 

